[Merkaartor] compile problem with current svn

Chris Browet cbro at semperpax.com
Wed Nov 12 16:17:30 GMT 2008


Ok, OTOH, shouldn't be too hard to solve the problem.

Apparently 4.3 uic do not like naming layouts in the .ui file. Probably just
using the default names will solve this

Regards
- Chris -.

2008/11/12 Arnd Baecker <arnd.baecker at web.de>

> On Wed, 12 Nov 2008, Chris Browet wrote:
>
> > Yep, uic (4.3) is the culprit. I tested with an uic from a 4.3.3 Qt and
> it
> > generates the same buggy .h.
>
> Thanks a lot for finding this out!
>
> > Now, we normally decided to only support 4.4 as of 0.13.
> > Is it a problem for you to upgrade?
> >
> > Otherwise, I can dig deeper, but without guarantee...
>
> About upgrading: I will see how the compile of Qt 4.4.3 works out
> (did not find a binary for that) and install that to
> a separate place and use it for merkaartor.
> If that does not work, I will just stick to the last svn compile
> which works for me
>
> To prevent others to fall into the same trap, I would recommend
> to change the INSTALL file accordingly, which currently
> reads:
> """
> * Qt 4.3.3 or later development environment
>
> On (K)ubuntu Edgy it is sufficient to install the qt4-dev package
> to satisfy these requirements.
> """
>
> Best, Arnd
>
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.openstreetmap.org/pipermail/merkaartor/attachments/20081112/17946ef7/attachment.html>


More information about the Merkaartor mailing list